IPCS(1)

NAZWA
ipcs - pokazuje informacje o elementach IPC

SKŁADNIA

ipcs [opcje]

OPIS

ipcs pokazuje informacje o elementach komunikacji międzyprocesowej Systemu V. Domyślnie pokazuje informacje o wszystkich trzech zasobach: segmentach pamięci dzielonej, kolejkach wiadomości i tablicach semaforów.

OPCJE

-i, --id id
    Pokazuje wszystkie szczegóły tylko o zasobie o identyfikatorze id. Tę opcję należy łączyć z jedną z opcji zasobów: -m, -q lub -s.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

  Opcje zasobów

-m, --shmems
    Wypisuje informacje o aktywnych segmentach pamięci dzielonej.

-q, --queues
    Wypisuje informacje o aktywnych kolejkach komunikatów.

-s, --semaphores
    Wypisuje informacje o aktywnych zestawach semaforów.

-a, --all
    Wypisuje informacje o wszystkich trzech zasobach (domyślnie).

  Formaty wyjściowe

Przy podaniu więcej niż jednej z poniższych opcji zadziała tylko ostatnia.

-c, --creator
    Pokazuje twórcę i właściciela.

-l, --limits
    Pokazuje limity zasobów.

-p, --pid
    Pokazuje PID twórcy i ostatniego operatora.

-t, --time
    Informacja o czasie zapisu. Czas ostatniej operacji kontroli, która zmieniła uprawnienia dostępu do wszystkich elementów, czas ostatniej operacji msgsnd(2) i msgrcv(2) na kolejkach wiadomości, czas ostatnich operacji shmat(2) i shmdt(2) na pamięci dzielonej i czas ostatniej operacji semop(2) na semaforach.

-u, --summary
    Pokazuje podsumowanie statusu.

  Reprezentacja

Wpływa to tylko na opcję -l (--limits).

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

--human
    Wyświetla rozmiary w formacie czytelnym dla ludzi.

ZGODNE Z

Linuksowa wersja programu ipcs nie jest w pełni zgodna z narzędziem ipcs standardu POSIX. Wersja linuksowa nie obsługuje opcji POSIX -a, -b i -o, ale obsługuje niewymienione w POSIX opcje -l i -u. Przenośne aplikacje nie powinny używać opcji -a, -b, -o, -l oraz -u.

UWAGI

Obecna implementacja ipcs uzyskuje informacje o dostępnych zasobach IPC przetwarzając pliki w /proc/sysvipc. Przed util-linux w wersji v2.23, używano innego mechanizmu: polecenia IPC_STAT z msgctl(2), semctl(2) i shmctl(2). Mechanizm ten jest używany również w późniejszych wersjach util-linux w przypadkach, gdy /proc jest niedostępne. Ograniczeniem mechanizmu IPC_STAT jest fakt, że można go używać do pobrania informacji tylko o tych zasobach IPC, do których użytkownik posiada uprawnienie odczytu.

AUTORZY

ZOBACZ TAKŻE

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie ipcs jest częścią pakietu util-linux, który można pobrać ze strony